=== debian/changelog ===
python-hiyapyco (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * No change source-only upload.

 -- Boyuan Yang <byang@debian.org>  Mon, 31 Mar 2025 10:21:41 -0400

python-hiyapyco (0.7.0-1) unstable; urgency=medium

  * Initial upload (Closes: #1027055)
  * release version 0.7.0
  * Debian packaging performed by Klaus Zerwes, with
    a few changes:
    - Using "python-" prefix for package names.
    - A few extra lines in the description.
    - Python team as maintainer, Klaus as uploader
    - Added myself as another uploader.

 -- Steffen Moeller <moeller@debian.org>  Fri, 07 Mar 2025 20:29:23 +0100

hiyapyco (0.6.1) stable; urgency=medium

  * release version 0.6.1

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Thu, 29 Aug 2024 20:46:06 +0200

hiyapyco (0.6.0-1) stable; urgency=medium

  * release version 0.6.0

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Fri, 24 May 2024 12:38:46 +0200

hiyapyco (0.5.6-1) stable; urgency=medium

  * release version 0.5.6

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Sat, 11 May 2024 06:43:47 +0200

hiyapyco (0.5.5-1) stable; urgency=medium

  * release version 0.5.5

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Sat, 13 Apr 2024 10:41:28 +0200

hiyapyco (0.5.4-1) stable; urgency=medium

  * release version 0.5.4

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Wed, 29 Nov 2023 12:33:15 +0100

hiyapyco (0.5.2-1) stable; urgency=medium

  * release version 0.5.2

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Wed, 29 Nov 2023 08:39:37 +0100

hiyapyco (0.5.1-1) stable; urgency=medium

  * release version 0.5.1

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Wed, 14 Sep 2022 20:28:17 +0200

hiyapyco (0.5.0-1) stable; urgency=medium

  * release version 0.5.0

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Thu, 05 May 2022 06:38:08 +0200

hiyapyco (0.4.16-1) stable; urgency=medium

  * release version 0.4.16

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Tue, 10 Mar 2020 09:46:37 +0100

hiyapyco (0.4.15-1) stable; urgency=medium

  * release version 0.4.15

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Mon, 13 Jan 2020 20:50:17 +0100

hiyapyco (0.4.14-1) stable; urgency=medium

  * release version 0.4.14

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Mon, 25 Mar 2019 23:41:32 +0100

hiyapyco (0.4.13) stable; urgency=medium

  * support multiple yaml documents in one file 

 -- zerwes <zerwes@users.noreply.github.com>  Fri, 14 Dec 2018 06:49:59 +0100

hiyapyco (0.4.12-1) stable; urgency=medium

  * release version 0.4.12

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Fri, 05 Oct 2018 22:15:56 +0200

hiyapyco (0.4.11-1) stable; urgency=medium

  * release version 0.4.11

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Thu, 06 Jul 2017 23:48:59 +0200

hiyapyco (0.4.10-1) stable; urgency=medium

  * release version 0.4.10

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Tue, 16 May 2017 22:37:59 +0200

hiyapyco (0.4.9-1) stable; urgency=medium

  * release version 0.4.9

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Sun, 14 May 2017 22:15:58 +0200

hiyapyco (0.4.8-1) stable; urgency=medium

  * release version 0.4.8

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Sat, 18 Jun 2016 23:52:40 +0200

hiyapyco (0.4.7-1) stable; urgency=medium

  * release version 0.4.7

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Tue, 31 May 2016 22:52:49 +0200

hiyapyco (0.4.6-1) stable; urgency=low

  * release version 0.4.6

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Wed, 20 Jan 2016 13:38:29 +0100

hiyapyco (0.4.5-1) stable; urgency=low

  * release version 0.4.5

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Thu, 14 Jan 2016 15:50:01 +0100

hiyapyco (0.4.4-1) stable; urgency=low

  * release version 0.4.4

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Fri, 04 Sep 2015 10:02:04 +0200

hiyapyco (0.4.3-1) stable; urgency=low

  * release version 0.4.3

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Thu, 03 Sep 2015 14:56:14 +0200

hiyapyco (0.4.2-1) stable; urgency=low

  * release version 0.4.2

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Wed, 12 Aug 2015 12:29:25 +0200

hiyapyco (0.4.1-1) stable; urgency=low

  * release version 0.4.1

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Wed, 15 Jul 2015 15:52:54 +0200

hiyapyco (0.4.0-1) stable; urgency=low

  * release version 0.4.0

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Mon, 22 Dec 2014 22:58:34 +0100

hiyapyco (0.3.2-1) stable; urgency=low

  * release version 0.3.2

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Sat, 20 Dec 2014 23:00:56 +0100

hiyapyco (0.3.1-1) stable; urgency=low

  * release version 0.3.1

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Tue, 25 Nov 2014 10:47:14 +0100

hiyapyco (0.3.0-1) stable; urgency=low

  * release version 0.3.0

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Mon, 24 Nov 2014 17:09:40 +0100

hiyapyco (0.2.0-1) stable; urgency=low

  * release version 0.2.0

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Thu, 20 Nov 2014 19:48:18 +0100

hiyapyco (0.1.1-1) stable; urgency=low

  * release version 0.1.1

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Wed, 19 Nov 2014 17:58:26 +0100

hiyapyco (0.1.0-1) stable; urgency=low

  * initial releae

 -- Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>  Mon, 17 Nov 2014 23:38:33 +0100
