=== debian/control ===
Source: python-hiyapyco
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Klaus Zerwes zero-sys.net <zerwes@users.noreply.github.com>,
 Steffen Moeller <moeller@debian.org>
Section: python
Priority: optional
Build-Depends:
 python3-setuptools,
 python3-all (>= 3.2.3-6),
 python3-setuptools,
 python3-yaml,
 python3-jinja2 <!nocheck>,
 dh-python,
 debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/python-team/packages/python-hiyapyco
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-hiyapyco
Homepage: https://github.com/zerwes/hiyapyco
Rules-Requires-Root: no

Package: python3-hiyapyco
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Hierarchical YAML Python Config
 A specialization of software often also requires a specialization of
 the software's configuration. And properties between the general and
 the specialized configuration may be shared, albeit overriden.
 .
 For a consistent view on such configuration data of arbitrary complexity,
 this simple python lib allowing hierarchical overlay of config files in
 YAML syntax, It offers different merge methods and variable interpolation
 based on jinja2.
